<template>
  <div id="echartsBox" style="width: 100%; height: 400px" ref="box"></div>
</template>
<script>
import * as echarts from 'echarts'
var myChart
export default {
  name: 'YearEchart',
  data() {
    return {
    }
  },

  methods: {
    yearEcharts(typeList,countList) {
      let xAxis = []
      let yAxis = []
      xAxis = typeList
      yAxis = countList
      console.log(myChart)
      if (myChart != null && myChart != '' && myChart != undefined) {
        myChart.dispose() //销毁
      }
      let chartDom = document.getElementById('echartsBox')
      myChart = echarts.init(chartDom)
      let option = {
        title: [
          {
            left: 'left',
            // 标题
            text: `设备状态统计`,
            textStyle: {
              fontSize: 16,
              fontWeight: 'bold',
              color: '#409eff',
            },
          },
        ],
        tooltip: {},
        xAxis: {
          data: xAxis,
        },
        yAxis: {
          type: 'value',
        },
        series: [
          {
            name: '设备状态统计次数',
            type: 'bar', // 类型为柱状图
            data: yAxis,
            barWidth: '20%', // 柱条宽度 每个柱条的宽度就是类目宽度的 20%
            // 柱子的样式
            itemStyle: {
              color: '#5574c2',
            },
          },
        ],
      }
      option && myChart.setOption(option)
      window.addEventListener('resize', () => {
        myChart.resize()
      })
    },
  },
}
</script>